import java.util.Scanner;

public class MirrorFloor {
    public static void main(String[] args) {
        Scanner scanner = new Scanner(System.in);
        long k = scanner.nextLong();

        String kStr = Long.toString(k);
        String mirrorDict = "0123456789";
        StringBuilder mirrorFloorStr = new StringBuilder();

        for (int i = kStr.length() - 1; i >= 0; i--) {
            char digit = kStr.charAt(i);
            int index = digit - '0';
            mirrorFloorStr.append(mirrorDict.charAt(index));
        }

        // Удалите ведущие нули, если они есть
        int nonZeroIndex = 0;
        while (nonZeroIndex < mirrorFloorStr.length() && mirrorFloorStr.charAt(nonZeroIndex) == '0') {
            nonZeroIndex++;
        }
        mirrorFloorStr.delete(0, nonZeroIndex);

        System.out.println(mirrorFloorStr.toString());
    }
}
